.spotbugs:
  script:
  - ./gradlew spotbugsMain --info 
  artifacts:
    paths:
    - build/reports/spotbugs/*.*
    expire_in: 1 week 

.pmd:
  script:
  - ./gradlew pmdMain pmdTest --info 
  artifacts:
    paths:
    - build/reports/pmd/*.*
    expire_in: 1 week
 
.coverage:
  script:
  - ./gradlew assemble test jacocoTestCoverageVerification jacocoTestReport --info 
  artifacts:
    paths:
    - build/reports/jacoco/test/html/*.*
    - build/reports/jacoco/test/html/*/*.*
    expire_in: 1 week

.checkstyle:
  script:
  - ./gradlew checkstyleMain --info 
  artifacts:
    paths:
    - build/reports/checkstyle/*.*
    expire_in: 1 week

  
  